Observer class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# Observer Class Reference

Observer for KIO::Job progress information This class, of which there is always only one instance, "observes" what jobs do and forwards this information to the progress-info server. Observer for KIO::Job progress information. More...

`#include <observer.h>`

Inheritance diagram for Observer:

[legend]
Collaboration diagram for Observer:

[legend]
List of all members.

## Public Slots
void | slotTotalSize (KIO::Job *, KIO::filesize_t size)
void | slotTotalFiles (KIO::Job *, unsigned long files)
void | slotTotalDirs (KIO::Job *, unsigned long dirs)
void | slotProcessedSize (KIO::Job *, KIO::filesize_t size)
void | slotProcessedFiles (KIO::Job *, unsigned long files)
void | slotProcessedDirs (KIO::Job *, unsigned long dirs)
void | slotSpeed (KIO::Job *, unsigned long bytes_per_second)
void | slotPercent (KIO::Job *, unsigned long percent)
void | slotInfoMessage (KIO::Job *, const QString &msg)
void | slotCopying (KIO::Job *, const KURL &from, const KURL &to)
void | slotMoving (KIO::Job *, const KURL &from, const KURL &to)
void | slotDeleting (KIO::Job *, const KURL &url)
void | slotTransferring (KIO::Job *, const KURL &url)
| Since: 3.1
void | slotCreatingDir (KIO::Job *, const KURL &dir)
void | slotCanResume (KIO::Job *, KIO::filesize_t offset)
## DCOP Member Functions
void | killJob (int progressId)
| Called by the UI Server (using DCOP) if the user presses cancel.
KIO::MetaData | metadata (int progressId)
| Called by the UI Server (using DCOP) to get all the metadata of the job.
## Public Member Functions
int | newJob (KIO::Job *job, bool showProgress)
| Called by the job constructor, to signal its presence to the UI Server.
void | jobFinished (int progressId)
| Called by the job destructor, to tell the UI Server that the job ended.
bool | openPassDlg (const QString &prompt, QString &user, QString &pass, bool readOnly)
| This class or method is obsolete, it is provided for compatibility only..
bool | openPassDlg (KIO::AuthInfo &info)
KIO::RenameDlg_Result | open_RenameDlg (KIO::Job *job, const QString &caption, const QString &src, const QString &dest, KIO::RenameDlg_Mode mode, QString &newDest, KIO::filesize_t sizeSrc=(KIO::filesize_t)-1, KIO::filesize_t sizeDest=(KIO::filesize_t)-1, time_t ctimeSrc=(time_t)-1, time_t ctimeDest=(time_t)-1, time_t mtimeSrc=(time_t)-1, time_t mtimeDest=(time_t)-1)
| See renamedlg.h.
KIO::SkipDlg_Result | open_SkipDlg (KIO::Job *job, bool multi, const QString &error_text)
| See skipdlg.h.
void | stating (KIO::Job *, const KURL &url)
void | mounting (KIO::Job *, const QString &dev, const QString &point)
void | unmounting (KIO::Job *, const QString &point)
## Static Public Member Functions
Observer * | self ()
int | messageBox (int progressId, int type, const QString &text, const QString &caption, const QString &buttonYes, const QString &buttonNo)
| Popup a message box.
## Protected Member Functions
virtual void | virtual_hook (int id, void *data)
## Protected Attributes
UIServer_stub * | m_uiserver
QIntDict< KIO::Job > | m_dctJobs
## Static Protected Attributes
Observer * | s_pObserver = 0L

## Detailed Description

Observer for KIO::Job progress information This class, of which there is always only one instance, "observes" what jobs do and forwards this information to the progress-info server. Observer for KIO::Job progress information.

It is a DCOP object so that the UI server can call the kill method when the user presses Cancel.

Author:
  David Faure <faure@kde.org>

Definition at line 52 of file observer.h.

## Member Function Documentation

Observer* Observer::self | ( |  | ) | `[inline, static]`

| Returns: the unique observer object Definition at line 62 of file observer.h. Referenced by KIO::mimetype(), KIO::mount(), KIO::SlaveInterface::openPassDlg(), KIO::stat(), and KIO::unmount().

int Observer::newJob | ( | KIO::Job * | job,
|  | bool | showProgress
| ) |

| Called by the job constructor, to signal its presence to the UI Server. Returns: the progress ID assigned by the UI Server to the Job. Definition at line 81 of file observer.cpp.

void Observer::jobFinished | ( | int | progressId | ) |

| Called by the job destructor, to tell the UI Server that the job ended. Definition at line 93 of file observer.cpp.

bool Observer::openPassDlg | ( | const QString & | prompt,
|  | QString & | user,
|  | QString & | pass,
|  | bool | readOnly
| ) |

| This class or method is obsolete, it is provided for compatibility only.. Definition at line 227 of file observer.cpp. References KIO::AuthInfo::password, KIO::AuthInfo::prompt, KIO::AuthInfo::readOnly, and KIO::AuthInfo::username. Referenced by KIO::SlaveInterface::openPassDlg().

int Observer::messageBox | ( | int | progressId,
|  | int | type,
|  | const QString & | text,
|  | const QString & | caption,
|  | const QString & | buttonYes,
|  | const QString & | buttonNo
| ) | `[static]`

| Popup a message box. See KIO::SlaveBase. This doesn't use DCOP anymore, it shows the dialog in the application's process. Otherwise, other apps would block when trying to communicate with UIServer. Definition at line 260 of file observer.cpp. References QPtrList::append(), QPtrList::count(), KMessageBox::information(), KMessageBox::questionYesNo(), QPtrList::setAutoDelete(), QStringList::split(), QString::utf8(), KMessageBox::warningContinueCancel(), KMessageBox::warningYesNo(), and KMessageBox::warningYesNoCancel().

RenameDlg_Result Observer::open_RenameDlg | ( | KIO::Job * | job,
|  | const QString & | caption,
|  | const QString & | src,
|  | const QString & | dest,
|  | KIO::RenameDlg_Mode | mode,
|  | QString & | newDest,
|  | KIO::filesize_t | sizeSrc = (KIO::filesize_t)-1,
|  | KIO::filesize_t | sizeDest = (KIO::filesize_t)-1,
|  | time_t | ctimeSrc = (time_t)-1,
|  | time_t | ctimeDest = (time_t)-1,
|  | time_t | mtimeSrc = (time_t)-1,
|  | time_t | mtimeDest = (time_t)-1
| ) |

| See renamedlg.h. Definition at line 365 of file observer.cpp. References KIO::Job::progressId().

SkipDlg_Result Observer::open_SkipDlg | ( | KIO::Job * | job,
|  | bool | multi,
|  | const QString & | error_text
| ) |

| See skipdlg.h. Definition at line 393 of file observer.cpp. References KIO::Job::progressId().

void Observer::killJob | ( | int | progressId | ) |

| Called by the UI Server (using DCOP) if the user presses cancel. Definition at line 99 of file observer.cpp.

MetaData Observer::metadata | ( | int | progressId | ) |

| Called by the UI Server (using DCOP) to get all the metadata of the job. Definition at line 110 of file observer.cpp.

void Observer::slotTransferring | ( | KIO::Job * | ,
|  | const KURL & | url
| ) | `[slot]`

| Since: 3.1 Definition at line 194 of file observer.cpp. References KIO::Job::progressId().

The documentation for this class was generated from the following files:

- observer.h
- observer.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:19:23 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001